Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.viewModelElement.model
Interface VTViewModelElementPackage.Literals

Enclosing interface:
  VTViewModelElementPackage

    public static interface VTViewModelElementPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `VIEW_MODEL_ELEMENT_SELECTOR` The meta object literal for the ' `Selector`' class.
`static org.eclipse.emf.ecore.EReference` | `VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE` The meta object literal for the 'Attribute Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE` The meta object literal for the 'Class Type' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES` The meta object literal for the 'Select Subclasses' attribute feature.

Field Detail

### VIEW_MODEL_ELEMENT_SELECTOR

    static final org.eclipse.emf.ecore.EClass VIEW_MODEL_ELEMENT_SELECTOR

  The meta object literal for the ' `Selector`' class.

  See Also:
    `VTViewModelElementSelectorImpl`, `VTViewModelElementPackageImpl.getViewModelElementSelector()`

### VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE

    static final org.eclipse.emf.ecore.EReference VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE

  The meta object literal for the 'Class Type' reference feature.

### VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE

    static final org.eclipse.emf.ecore.EAttribute VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE

  The meta object literal for the 'Attribute Value' attribute feature.

### VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES

    static final org.eclipse.emf.ecore.EAttribute VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES

  The meta object literal for the 'Select Subclasses' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.